#ifndef  _QV_BASIC_
#define  _QV_BASIC_

#include <sys/types.h>
#include <math.h>
#include <string.h>

typedef unsigned long u_long;
#ifndef M_PI
#	define M_PI        3.14159265358979323846
#endif
#ifndef M_PI_4
#	define M_PI_4      0.785398163397448309616
#endif
#ifndef M_1_PI
#   define M_1_PI      0.318309886183790671538
#endif

#include <stdio.h>

#ifndef FALSE
#   define FALSE	0
#   define TRUE		1
#endif

typedef int QvBool;

// This uses the preprocessor to quote a string
#if defined(__STDC__) || defined(__ANSI_CPP__) || defined(WIN32)		/* ANSI C */
#  define QV__QUOTE(str)	#str
#else							/* Non-ANSI C */
#  define QV__QUOTE(str)	"str"
#endif

// This uses the preprocessor to concatenate two strings
#if defined(__STDC__) || defined(__ANSI_CPP__)		/* ANSI C */
#   define QV__CONCAT(str1, str2)	str1##str2
#else							/* Non-ANSI C */
#   define QV__CONCAT(str1, str2)	str1/**/str2
#endif

#endif /* _QV_BASIC_ */
