class MyBase {
public:
  struct FactoryParams
  {
          std::string a1;
  };
  virtual ~MyBase(){}
  virtual void print(std::ostream& os) const = 0;
};

std::ostream& operator <<(std::ostream& os, const MyBase& base)
{
  base.print(os);
  return os;
}

namespace std { // MSVC++6 compiler requests namespace to resolve the operator.
  template <class T, class V>
    ostream& operator<<(ostream& sout, const pair<T,set<V> >& x) {
      cout << "  '" << x.first << "': ";
      copy(x.second.begin(), x.second.end(), ostream_iterator<V>(cout, " "));
      cout << endl;
      return sout;
  }
}
